#!/bin/sh

set -e

SCRIPT_HOME=$(dirname "$0")
SCRIPT_HOME="`cd \"${SCRIPT_HOME}\" >/dev/null && pwd`"

IMAGE_NAME="$(basename "$SCRIPT_HOME")"
REPOSITORY_NAME="sosberlin/jobscheduler"

JS_ID="testsuite"
JS_ACTION="stop"

for option in "$@"
do
  case "$option" in
         -kill)            JS_ACTION="kill"
                           ;;
         -abort)           JS_ACTION="abort"
                           ;;
         *)                echo "unknown argument: $option"
                           exit 1
                           ;;
  esac
done

JS_CONTAINER=$(docker container ps -a -q --filter "name=$IMAGE_NAME")

if [ -z "$JS_CONTAINER" ]
then
  echo ".... Controller container not running: $IMAGE_NAME"
  exit 0
fi

for f in $JS_CONTAINER; do
  if [ "$JS_ACTION" != "kill" ]
  then
    set +e
    #  echo ".... stopping Controller instance ($JS_ACTION): $f"
    #  docker container exec $f /bin/sh -c "/var/sos-berlin.com/js7/controller/bin/controller.sh $JS_ACTION"
    set -e
  fi

  echo ".... stopping Controller container ($JS_ACTION): $f"
  if [ "$JS_ACTION" = "stop" ]
  then
    docker container stop $f
  else
    docker container kill $f
  fi
done

