#!/bin/sh

set -e

SCRIPT_HOME=$(dirname "$0")
SCRIPT_HOME="`cd \"${SCRIPT_HOME}\" >/dev/null && pwd`"

IMAGE_NAME="$(basename "$SCRIPT_HOME")"
REPOSITORY_NAME="sosberlin/jobscheduler"

JS_ACTION="stop"

for option in "$@"
do
  case "$option" in
         -abort)           JS_ACTION="kill"
                           ;;
         -kill)            JS_ACTION="kill"
                           ;;
         *)                echo "unknown argument: $option"
                           exit 1
                           ;;
  esac
done

JS_CONTAINER=$(docker container ps -a -q --filter "name=$IMAGE_NAME")

if [ -z "$JS_CONTAINER" ]
then
  echo ".... JOC container not running: $IMAGE_NAME"
  exit 0
fi

for f in $JS_CONTAINER; do
  if [ "$JS_ACTION" = "stop" ]
  then
    set +e
    # echo ".... stopping JOC instance: $f"
    # docker container exec $f /bin/sh -c "/opt/sos-berlin.com/js7/joc/jetty/bin/jetty.sh stop"
    set -e

    echo ".... stopping container ($JS_ACTION): $f"
    docker container stop $f
  else
    echo ".... stopping container ($JS_ACTION): $f"
    docker container kill $f
  fi
done

